package ru.dbotthepony.kstarbound.world

import ru.dbotthepony.kstarbound.world.entities.Entity
import ru.dbotthepony.kstarbound.world.entities.WorldObject

interface IChunkSubscriber {
	fun onEntityAdded(entity: Entity)
	fun onEntityRemoved(entity: Entity)
	fun onObjectAdded(obj: WorldObject)
	fun onObjectRemoved(obj: WorldObject)
}
